<?php
require_once("../includes/clase_sesion.php");
$sesion=new sesion(); // inicio la sesion
require_once("../includes/academia_constantes.php");
require_once("../includes/funciones_generales.php");

if(!comprobar_sesion()){
	$responce->page = 0;
	$responce->total =0;
	$responce->records = 0;
	echo json_encode($response);
	exit();
}

require_once("../includes/MySQL.php");
require_once("../includes/funciones_buscador.php");
                                                                          
$academia = new Servidor_Base_Datos(AC_CONN_HOST,AC_CONN_USER,AC_CONN_PASS,AC_CONN_DB."".$sesion->get('anio'));
$cd_gr=$_POST[cod_gr];
$cd_doc=$_POST[codigo_dc];
$sql='SELECT
    aca_detallesxperiodo.cod_asigxgrupo
    , aca_detallesxperiodo.periodo_calif
    , aca_detallesxperiodo.estado_per
   
FROM
    aca_detallesxperiodo
    INNER JOIN aca_asignaturasxgrupos 
        ON (aca_detallesxperiodo.cod_asigxgrupo = aca_asignaturasxgrupos.cod_asigxgrupo)
WHERE 1=1 AND aca_asignaturasxgrupos.cod_grupo ='.$cd_gr.' AND aca_asignaturasxgrupos.cod_profesor ='.$cd_doc.' ORDER BY aca_asignaturasxgrupos.cod_asigxgrupo';

$academia->instruccion($sql);
while($row = $academia->extraer_registro()) {
	$responce->$row[cod_asigxgrupo]->$row[periodo_calif]=$row[estado_per];
} 
echo json_encode($responce);
$academia->cerrar();
?>